Subject: bug#24226: (Windows) menu-set-font doesn't work for all font styles

From: Juhani Åhman <[email-masked]>
Date: Wed, 17 Aug 2016 16:21:56 +0300

I tried with emacs -Q. No luck.

I used OTF, but TTF fonts don't work either.

I'm running Windows 10.

Also, it seems that "Light" works too, but just not "ExtraLight".

On 16.8.2016 18.07, Eli Zaretskii wrote:
>> From: Juhani Åhman <[email-masked]>
>> Date: Sun, 14 Aug 2016 23:28:34 +0300
>>
>>
>> "Options->Set Default Font..." (or menu-set-font) font selection menu
>> doesn't let you select
>> certain fonts styles, eg. "Source Code Pro ExtraLight" font
>> (https://github.com/adobe-fonts/source-code-pro). Only "Regular" works.
>>
>> It complains:
>>
>> set-face-attribute: Font not available: #<font-spec nil nil Source\
>> Code\ Pro\ ExtraLight nil nil light nil nil 12.0 nil nil nil ((:name .
>> "Source Code Pro ExtraLight-12:light") (user-spec . "Source Code Pro
>> ExtraLight-12:light"))>
> I cannot reproduced this.  I tried both Emacs 24.5 and the latest RC
> of Emacs 25.1, on Windows 7, and both allowed me to select any style
> of this font family.
>
> The fonts come in a large archive, with many different variants (OTF,
> TTF, WOFF, WOFF2, etc.).  Which ones did you install?  I installed the
> ones in the TTF directory.
>
> Also, please try this in "emacs -Q", perhaps some of your
> customizations get in the way.
>
> Thanks.